import SwiftUI

struct EventDetailView: View {
    
    let event: WorkoutEvent

    var metadata: [(key: String, value: Any)] {
        event.metadata.sorted { $0.key < $1.key }
    }

    var body: some View {
        List {
            DetailRow("Date", date: event.date)
            DetailRow("Type", value: event.type)
            DetailRow("Duration", duration: event.duration)
            DetailRow("Session UUID", value: event.sessionUUID)
            DetailRow("Error", value: event.error)
            Section("Metadata") {
                ForEach(metadata, id: \.key) { (key, value) in
                    DetailRow(key, value: "\(value)")
                }
            }
        }
        .navigationTitle("Event")
    }
}

#Preview {
    NavigationStack {
        EventDetailView(event: .mock1.first!)
    }
}
